Loading...
Searching...
No Matches
irr::scene::quake3::IShaderManager Class Reference

Manages various Quake3 Shader Styles. More...

`#include <IQ3Shader.h>`

Inheritance diagram for irr::scene::quake3::IShaderManager:

## Additional Inherited Members

Public Member Functions inherited from irr::IReferenceCounted
| IReferenceCounted ()
| Constructor.
virtual | ~IReferenceCounted ()
| Destructor.
bool | drop () const
| Drops the object. Decrements the reference counter by one.
const c8 * | getDebugName () const
| Returns the debug name of the object.
s32 | getReferenceCount () const
| Get the reference count.
void | grab () const
| Grabs the object. Increments the reference counter by one.
Protected Member Functions inherited from irr::IReferenceCounted
void | setDebugName (const c8 *newName)
| Sets the debug name of the object.

## Detailed Description

Manages various Quake3 Shader Styles.

Definition at line 876 of file IQ3Shader.h.

The documentation for this class was generated from the following file:

- IQ3Shader.h

- Irrlicht Engine Documentation © 2003-2012 by Nikolaus Gebhardt. Generated on for Irrlicht 3D Engine by Doxygen 1.15.0